Debian Bug report logs - #511511
slurm-llnl: Imporer checking of EVP_VerifyFinal() return value.

version graph

Package: slurm-llnl; Maintainer for slurm-llnl is Gennaro Oliva <oliva.g@na.icar.cnr.it>; Source for slurm-llnl is src:slurm-llnl.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 11 Jan 2009 19:00:04 UTC

Severity: serious

Tags: security

Fixed in versions slurm-llnl/1.3.13-1, slurm-llnl/1.3.6-1lenny1

Done: Kurt Roeckx <kurt@roeckx.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gennaro Oliva <oliva.g@na.icar.cnr.it>:
Bug#511511; Package slurm-llnl. (Sun, 11 Jan 2009 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Gennaro Oliva <oliva.g@na.icar.cnr.it>. (Sun, 11 Jan 2009 19:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: slurm-llnl: Imporer checking of EVP_VerifyFinal() return value.
Date: Sun, 11 Jan 2009 19:59:45 +0100
Package: slurm-llnl
Severity: serious
Tags: security

Hi,

I've been checking packages to see if they properly check the return
value of some of the functions in openssl.  In
src/plugins/crypto/openssl/crypto_openssl.c there is this piece of code:
        rc = EVP_VerifyFinal(&ectx, (unsigned char *) signature,
                sig_size, (EVP_PKEY *) key);
        if (!rc)
                rc = SLURM_ERROR;
        else
                rc = SLURM_SUCCESS;

But EVP_VerifyFinal() can also return -1 on errors.  A good way to check
the value would be something like:
	if (rc <= 0)

I have no idea if this code is being used and what the consequences
of this might be.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Gennaro Oliva <oliva.g@na.icar.cnr.it>:
Bug#511511; Package slurm-llnl. (Tue, 13 Jan 2009 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to oliva.g@na.icar.cnr.it:
Extra info received and forwarded to list. Copy sent to Gennaro Oliva <oliva.g@na.icar.cnr.it>. (Tue, 13 Jan 2009 13:48:02 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: oliva.g@na.icar.cnr.it
To: Kurt Roeckx <kurt@roeckx.be>, 511511@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#511511: slurm-llnl: Imporer checking of EVP_VerifyFinal() return value.
Date: Tue, 13 Jan 2009 14:42:06 +0100
Thanks for your report, I forwarded it to upstream.
Regards
-- 
Gennaro Oliva

On Sun, Jan 11, 2009 at 07:59:45PM +0100, Kurt Roeckx wrote:
> Package: slurm-llnl
> Severity: serious
> Tags: security
> 
> Hi,
> 
> I've been checking packages to see if they properly check the return
> value of some of the functions in openssl.  In
> src/plugins/crypto/openssl/crypto_openssl.c there is this piece of code:
>         rc = EVP_VerifyFinal(&ectx, (unsigned char *) signature,
>                 sig_size, (EVP_PKEY *) key);
>         if (!rc)
>                 rc = SLURM_ERROR;
>         else
>                 rc = SLURM_SUCCESS;
> 
> But EVP_VerifyFinal() can also return -1 on errors.  A good way to check
> the value would be something like:
> 	if (rc <= 0)
> 
> I have no idea if this code is being used and what the consequences
> of this might be.
> 
> 
> Kurt
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Gennaro Oliva <oliva.g@na.icar.cnr.it>:
Bug#511511; Package slurm-llnl. (Tue, 13 Jan 2009 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to oliva.g@na.icar.cnr.it:
Extra info received and forwarded to list. Copy sent to Gennaro Oliva <oliva.g@na.icar.cnr.it>. (Tue, 13 Jan 2009 13:48:03 GMT) Full text and rfc822 format available.

Reply sent to Gennaro Oliva <oliva.g@na.icar.cnr.it>:
You have taken responsibility. (Thu, 15 Jan 2009 03:12:46 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Thu, 15 Jan 2009 03:12:47 GMT) Full text and rfc822 format available.

Message #20 received at 511511-close@bugs.debian.org (full text, mbox):

From: Gennaro Oliva <oliva.g@na.icar.cnr.it>
To: 511511-close@bugs.debian.org
Subject: Bug#511511: fixed in slurm-llnl 1.3.13-1
Date: Thu, 15 Jan 2009 03:02:11 +0000
Source: slurm-llnl
Source-Version: 1.3.13-1

We believe that the bug you reported is fixed in the latest version of
slurm-llnl, which is due to be installed in the Debian FTP archive:

libpmi0-dev_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/libpmi0-dev_1.3.13-1_i386.deb
libpmi0_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/libpmi0_1.3.13-1_i386.deb
libslurm13-dev_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/libslurm13-dev_1.3.13-1_i386.deb
libslurm13_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/libslurm13_1.3.13-1_i386.deb
slurm-llnl-basic-plugins-dev_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/slurm-llnl-basic-plugins-dev_1.3.13-1_i386.deb
slurm-llnl-basic-plugins_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/slurm-llnl-basic-plugins_1.3.13-1_i386.deb
slurm-llnl-doc_1.3.13-1_all.deb
  to pool/main/s/slurm-llnl/slurm-llnl-doc_1.3.13-1_all.deb
slurm-llnl-slurmdbd_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/slurm-llnl-slurmdbd_1.3.13-1_i386.deb
slurm-llnl-sview_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/slurm-llnl-sview_1.3.13-1_i386.deb
slurm-llnl_1.3.13-1.diff.gz
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.13-1.diff.gz
slurm-llnl_1.3.13-1.dsc
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.13-1.dsc
slurm-llnl_1.3.13-1_i386.deb
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.13-1_i386.deb
slurm-llnl_1.3.13.orig.tar.gz
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511511@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gennaro Oliva <oliva.g@na.icar.cnr.it> (supplier of updated slurm-llnl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Jan 2009 09:25:10 +0100
Source: slurm-llnl
Binary: slurm-llnl libslurm13 libpmi0 libslurm13-dev libpmi0-dev slurm-llnl-doc slurm-llnl-basic-plugins slurm-llnl-basic-plugins-dev slurm-llnl-sview slurm-llnl-slurmdbd
Architecture: source i386 all
Version: 1.3.13-1
Distribution: unstable
Urgency: low
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Changed-By: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Description: 
 libpmi0    - SLURM PMI library implementation
 libpmi0-dev - SLURM PMI library implementation
 libslurm13 - Runtime library files for SLURM
 libslurm13-dev - SLURM development files
 slurm-llnl - Simple Linux Utility for Resource Management
 slurm-llnl-basic-plugins - SLURM docmentation
 slurm-llnl-basic-plugins-dev - SLURM docmentation
 slurm-llnl-doc - SLURM docmentation
 slurm-llnl-slurmdbd - Secure enterprise-wide interface to a database for SLURM
 slurm-llnl-sview - GUI to view and modify SLURM state
Closes: 511511
Changes: 
 slurm-llnl (1.3.13-1) unstable; urgency=low
 .
   * New upstream release (Closes: #511511)
Checksums-Sha1: 
 9000798b2b8545fd97b66a998bad4579116486a5 1393 slurm-llnl_1.3.13-1.dsc
 1251604e8a430776c93b051b2a9d0e9f94b3ad60 6794442 slurm-llnl_1.3.13.orig.tar.gz
 82e1b08d17db477023ebf274e6b5b52ad86ba46e 64423 slurm-llnl_1.3.13-1.diff.gz
 aff0d6367d1612238c126a0e36d0fd2969449fb0 5154952 slurm-llnl_1.3.13-1_i386.deb
 e289d733ed9dff0e2b364351793013c9d3b5aa87 269144 libslurm13_1.3.13-1_i386.deb
 39b6bbcf3e4679a9f599c47c8a09d757bfa24c35 17718 libpmi0_1.3.13-1_i386.deb
 f7092a7c5403905f5c3cbabc35211097c0513183 435692 libslurm13-dev_1.3.13-1_i386.deb
 2f1f988abd35bfe78c0ea0884621fc99aa62345f 21866 libpmi0-dev_1.3.13-1_i386.deb
 983c8fe10737171b3f2903a7aec510b6855ae092 315336 slurm-llnl-basic-plugins_1.3.13-1_i386.deb
 d7382ae4ed35b36a64a88e4b1c0899e8bf3f59c3 1042410 slurm-llnl-basic-plugins-dev_1.3.13-1_i386.deb
 356df401aa63c0c6abaef39609e0470c9a599196 344200 slurm-llnl-sview_1.3.13-1_i386.deb
 cbc26851fbd0c87342641d36aad4ebcab668f960 644816 slurm-llnl-slurmdbd_1.3.13-1_i386.deb
 138542fa6f7ed29efb6749723dad157917d380ab 857262 slurm-llnl-doc_1.3.13-1_all.deb
Checksums-Sha256: 
 ae388914bb049ccdc33d92e2f68b9d69a30b48f5ec2be99cef60e634fda4ec71 1393 slurm-llnl_1.3.13-1.dsc
 8357079f7ccc3dc6b452d85074c62d776fdadcfdefb9787f348cfb7f2ef56ef0 6794442 slurm-llnl_1.3.13.orig.tar.gz
 2ea70ef72868551bfaa086672dafed7003d91641b43c96ff8fe24a179cfae775 64423 slurm-llnl_1.3.13-1.diff.gz
 5082da3c8dd818866884f4ea29b173fe3b1d4fd4622a57723c1f89f26c5cbb00 5154952 slurm-llnl_1.3.13-1_i386.deb
 24b6446120a3e0f11276e28ed37daa6c575ba4fd579583ca8ccbe37e4fbe43c0 269144 libslurm13_1.3.13-1_i386.deb
 526877c90a32e8005d96ad1bad360a3095cad304194ccfbf2e4cc15a75997c1f 17718 libpmi0_1.3.13-1_i386.deb
 83b630a440d2b761acbcc9637407783acf0a73289d4acdde34ddd8982ca54a33 435692 libslurm13-dev_1.3.13-1_i386.deb
 35d6095f471f8b1bf98f621c8915eb297570ba3971da22826ed2b03f8bc29f71 21866 libpmi0-dev_1.3.13-1_i386.deb
 f5b6aca53b04aa18f9e6ee7f0e0cfd49e2a4d42678496aa9db9a5d03c90f3e1c 315336 slurm-llnl-basic-plugins_1.3.13-1_i386.deb
 26aaac5d5d0e3763fd14f4713f5b8485afe8632ecafe7831f178302ddb5ec983 1042410 slurm-llnl-basic-plugins-dev_1.3.13-1_i386.deb
 31e120de5e38ab2830849c33cbab549c951a03a55c1123c2bb2e171a2b97c29f 344200 slurm-llnl-sview_1.3.13-1_i386.deb
 277422e823e429d7ed1ba0810092825fed0756c0af30afe98718bf7f274dfac5 644816 slurm-llnl-slurmdbd_1.3.13-1_i386.deb
 30ad9e69aeb1ee04fdc0bb6b6a4187b2960d762d117ee5fb4ceb884a9a6d684a 857262 slurm-llnl-doc_1.3.13-1_all.deb
Files: 
 58eb3cd462e4e7acb01ff308466dd814 1393 admin extra slurm-llnl_1.3.13-1.dsc
 df6a6e708cb98009d6dbd0a68eac05b9 6794442 admin extra slurm-llnl_1.3.13.orig.tar.gz
 658f265d5a3cfaa3db6cb598e7e5373c 64423 admin extra slurm-llnl_1.3.13-1.diff.gz
 6cc587fd3c54d3b319e9b35758566b73 5154952 admin extra slurm-llnl_1.3.13-1_i386.deb
 ef4179063dd0131aa0e772cb347a61ce 269144 libs extra libslurm13_1.3.13-1_i386.deb
 44cfaabaf665edbc4761772a590a8fea 17718 libs extra libpmi0_1.3.13-1_i386.deb
 1b8f1efa6ae29c26bafab354bffdf6aa 435692 libdevel extra libslurm13-dev_1.3.13-1_i386.deb
 6a0ff99ba95d6eadd3c95942c24e8a39 21866 libdevel extra libpmi0-dev_1.3.13-1_i386.deb
 453569c855fc566f1ac8eace72f34ad0 315336 admin extra slurm-llnl-basic-plugins_1.3.13-1_i386.deb
 4290babcf0154a92ae8f81025b24a339 1042410 devel extra slurm-llnl-basic-plugins-dev_1.3.13-1_i386.deb
 6ee53e156161a8044891d189b92542aa 344200 admin extra slurm-llnl-sview_1.3.13-1_i386.deb
 b356018ec057a4ae8803dd6cac2c4a62 644816 admin extra slurm-llnl-slurmdbd_1.3.13-1_i386.deb
 41dff2a1ae2cfa17d5d42f2876f6aaf4 857262 doc extra slurm-llnl-doc_1.3.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJbqARCZSR95Gw07cRAhqOAJ4pZgMhczJJTIEijH2/Lyr8YgntxQCfRt8e
er64txKnEppjzrapO8ICIwo=
=Y/70
-----END PGP SIGNATURE-----





Reply sent to Kurt Roeckx <kurt@roeckx.be>:
You have taken responsibility. (Thu, 22 Jan 2009 17:42:08 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Thu, 22 Jan 2009 17:42:08 GMT) Full text and rfc822 format available.

Message #25 received at 511511-close@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 511511-close@bugs.debian.org
Subject: Bug#511511: fixed in slurm-llnl 1.3.6-1lenny1
Date: Thu, 22 Jan 2009 17:32:06 +0000
Source: slurm-llnl
Source-Version: 1.3.6-1lenny1

We believe that the bug you reported is fixed in the latest version of
slurm-llnl, which is due to be installed in the Debian FTP archive:

libpmi0-dev_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/libpmi0-dev_1.3.6-1lenny1_amd64.deb
libpmi0_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/libpmi0_1.3.6-1lenny1_amd64.deb
libslurm13-dev_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/libslurm13-dev_1.3.6-1lenny1_amd64.deb
libslurm13_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/libslurm13_1.3.6-1lenny1_amd64.deb
slurm-llnl-basic-plugins-dev_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/slurm-llnl-basic-plugins-dev_1.3.6-1lenny1_amd64.deb
slurm-llnl-basic-plugins_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/slurm-llnl-basic-plugins_1.3.6-1lenny1_amd64.deb
slurm-llnl-doc_1.3.6-1lenny1_all.deb
  to pool/main/s/slurm-llnl/slurm-llnl-doc_1.3.6-1lenny1_all.deb
slurm-llnl-slurmdbd_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/slurm-llnl-slurmdbd_1.3.6-1lenny1_amd64.deb
slurm-llnl-sview_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/slurm-llnl-sview_1.3.6-1lenny1_amd64.deb
slurm-llnl_1.3.6-1lenny1.diff.gz
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.6-1lenny1.diff.gz
slurm-llnl_1.3.6-1lenny1.dsc
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.6-1lenny1.dsc
slurm-llnl_1.3.6-1lenny1_amd64.deb
  to pool/main/s/slurm-llnl/slurm-llnl_1.3.6-1lenny1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511511@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kurt Roeckx <kurt@roeckx.be> (supplier of updated slurm-llnl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 21 Jan 2009 20:13:15 +0100
Source: slurm-llnl
Binary: slurm-llnl libslurm13 libpmi0 libslurm13-dev libpmi0-dev slurm-llnl-doc slurm-llnl-basic-plugins slurm-llnl-basic-plugins-dev slurm-llnl-sview slurm-llnl-slurmdbd
Architecture: source amd64 all
Version: 1.3.6-1lenny1
Distribution: testing-security
Urgency: high
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Changed-By: Kurt Roeckx <kurt@roeckx.be>
Description: 
 libpmi0    - SLURM PMI library implementation
 libpmi0-dev - SLURM PMI library implementation
 libslurm13 - Runtime library files for SLURM
 libslurm13-dev - SLURM development files
 slurm-llnl - Simple Linux Utility for Resource Management
 slurm-llnl-basic-plugins - SLURM docmentation
 slurm-llnl-basic-plugins-dev - SLURM docmentation
 slurm-llnl-doc - SLURM docmentation
 slurm-llnl-slurmdbd - Secure enterprise-wide interface to a database for SLURM
 slurm-llnl-sview - GUI to view and modify SLURM state
Closes: 511511
Changes: 
 slurm-llnl (1.3.6-1lenny1) testing-security; urgency=high
 .
   * Non-maintainer upload by the Security Team.
   * Fix to crypto/openssl plugin that could result in job launch requests
     being spoofed through the use of an improperly formed credential. This bug
     could permit a user to launch tasks on compute nodes not allocated for
     their use, but will NOT permit them to run tasks as another user.
     This is related to CVE-2008-5077 and DSA 1701  (Closes: #511511)
Checksums-Sha1: 
 6bd97509ac9624bb4d7fa0deafc2d757d2abe556 1418 slurm-llnl_1.3.6-1lenny1.dsc
 e2675139a33dee42f336150157f245c88f304a8e 6594797 slurm-llnl_1.3.6.orig.tar.gz
 c3cce2e421f67f26f69355899e3d871654a077a7 62825 slurm-llnl_1.3.6-1lenny1.diff.gz
 b52927171ae39d2f24526c9bb0777dba2f1d7dcf 5260794 slurm-llnl_1.3.6-1lenny1_amd64.deb
 ac2f19ac1c38b220180155418195f2c832e12dcb 274012 libslurm13_1.3.6-1lenny1_amd64.deb
 d914323673e834e1ec15ec8dd0192a569a66b32d 18812 libpmi0_1.3.6-1lenny1_amd64.deb
 4c69b4ce321af95212e342c9fff6ed4769635acf 437602 libslurm13-dev_1.3.6-1lenny1_amd64.deb
 62ce74622d96457c5bc6799b43fc76920c1df160 23234 libpmi0-dev_1.3.6-1lenny1_amd64.deb
 99991dfde1d731f1bed6a355fc01be5fc8f876f7 392278 slurm-llnl-basic-plugins_1.3.6-1lenny1_amd64.deb
 dbd8e7377d26b9a7ad109c331da1eed3a21f495d 1358880 slurm-llnl-basic-plugins-dev_1.3.6-1lenny1_amd64.deb
 529c0b3f7cf858630ed13cc8e2d49015035d9afb 355748 slurm-llnl-sview_1.3.6-1lenny1_amd64.deb
 b60330aef7200a159ad5479c7a0a56cffd1bcc4d 635812 slurm-llnl-slurmdbd_1.3.6-1lenny1_amd64.deb
 25469f68933e33d4a09b006e9418165ffc19c760 850656 slurm-llnl-doc_1.3.6-1lenny1_all.deb
Checksums-Sha256: 
 888e6607706539dc3d2aa5e52ae59b0e8f02db0e488be54911c99f9a70fe108e 1418 slurm-llnl_1.3.6-1lenny1.dsc
 40edb201b1662c7810c4f1131032c77e661f5649877330f8b08d3d650e05219a 6594797 slurm-llnl_1.3.6.orig.tar.gz
 e3d70a853f2080dfc7291da57550e8bfa9072f9513a30245f8a6d5e280a666c3 62825 slurm-llnl_1.3.6-1lenny1.diff.gz
 03bc3c1d2ef7189e8213ae1652bb537aff6e52ced629bc7dced79eff008ee651 5260794 slurm-llnl_1.3.6-1lenny1_amd64.deb
 a04dedc98794cbcaba2382b691f62f90867ebeaa81e08944a3c212de3adb79de 274012 libslurm13_1.3.6-1lenny1_amd64.deb
 8de2ad65a0864339cc5f0e44a9bbb4e752d29f07f72db781b5d6e9692c281512 18812 libpmi0_1.3.6-1lenny1_amd64.deb
 500a5100581ef139e1dfccff7656671ae281178c3c877bcb1e5ce535e898a98b 437602 libslurm13-dev_1.3.6-1lenny1_amd64.deb
 407930d919ee8b0d3c1e8da5d5e13199bb84ee547ba380b5ff46f37510b685be 23234 libpmi0-dev_1.3.6-1lenny1_amd64.deb
 ddfb50015df6f7f465c147a9b75bcdc3c413e3f541604b8a2a9e83f2c9e54a14 392278 slurm-llnl-basic-plugins_1.3.6-1lenny1_amd64.deb
 d177e2dbc0af9d5edf193d8422130947db7aec9e88ba6560021beb3c97e5c541 1358880 slurm-llnl-basic-plugins-dev_1.3.6-1lenny1_amd64.deb
 e99380591974bb3ab44a702e2e8ca27a6f2e77fe325c2ebad7be03c2bf963863 355748 slurm-llnl-sview_1.3.6-1lenny1_amd64.deb
 b632ed177cc4d3cf2ad757e729109d32ddb924ff2231b3614b92ac1c84b0a0f4 635812 slurm-llnl-slurmdbd_1.3.6-1lenny1_amd64.deb
 66c08ca91194f03aa5c02e63c65b6f7183871809592abe4466858c56c0f1797d 850656 slurm-llnl-doc_1.3.6-1lenny1_all.deb
Files: 
 f43f78af0551a9c8b51c09e9395dde37 1418 admin extra slurm-llnl_1.3.6-1lenny1.dsc
 1d0585a558b91158c65db7298dd22426 6594797 admin extra slurm-llnl_1.3.6.orig.tar.gz
 d70e906fa2f68c3e8f6415d2a3e7a4a9 62825 admin extra slurm-llnl_1.3.6-1lenny1.diff.gz
 f25685eb8e5bb67786206b8c984edf6c 5260794 admin extra slurm-llnl_1.3.6-1lenny1_amd64.deb
 75893ad55f938540d01692c1b689a12b 274012 libs extra libslurm13_1.3.6-1lenny1_amd64.deb
 660e6d84fa36946978e374035f49472f 18812 libs extra libpmi0_1.3.6-1lenny1_amd64.deb
 1deef09fc15c2db2661832a0c2999034 437602 libdevel extra libslurm13-dev_1.3.6-1lenny1_amd64.deb
 62601ec90b9d63ef477952edeb472130 23234 libdevel extra libpmi0-dev_1.3.6-1lenny1_amd64.deb
 a5e65b79b8438facefdba5d2091147dd 392278 admin extra slurm-llnl-basic-plugins_1.3.6-1lenny1_amd64.deb
 acc80fa3684add135ec50d0fd04ea1ea 1358880 devel extra slurm-llnl-basic-plugins-dev_1.3.6-1lenny1_amd64.deb
 443d3e647b31ada29bcc67498f469130 355748 admin extra slurm-llnl-sview_1.3.6-1lenny1_amd64.deb
 27555cb622329ebe519b1c3da8673054 635812 admin extra slurm-llnl-slurmdbd_1.3.6-1lenny1_amd64.deb
 6393607e5e7a5d383076f34b05e18c16 850656 doc extra slurm-llnl-doc_1.3.6-1lenny1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl3eqcACgkQQdwckHJElwvHlwCZAYT3VCkbWNZIy9eyvELpJNb2
RkgAn1h8lMMt0/flb3+acWFAi9pmMMoa
=8WB4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Feb 2009 07:30:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:52:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.